Перейти к содержимому

database_api.list_withdraw_vesting_routes ​

Purpose ​

Возвращает список маршрутов вывода вестинга (vesting withdraw route). Параметры: start:array; limit:int; order:string

  • start зависит от order (см. ниже)
  • limit - до 1000.
  • order может быть одним из:
    • by_withdraw_route - упорядочение по маршруту вывода (withdraw route)
      • start - массив из двух значений: from_account, to_account
    • by_destination - упорядочение по получателю (destination)
      • start - массив из двух значений: to_account, route_id

| start (array) | limit (int) | order (string) | | |----------------------------|---------------|-| | ["temp", ""] | 10 | "by_withdraw_route" | Запрос первых 10 маршрутов, сортировка по маршруту вывода | | ["", 0] | 10 | "by_destination" | Запрос первых 10 маршрутов, сортировка по получателю |

См. также: Paginated API Methods

Parameters ​

PARAMETERS
json
{
  "start": null,
  "limit": 0,
  "order": "by_name"
}

Example ​

Example 1 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "temp",
        ""
      ],
      "limit": 10,
      "order": "by_withdraw_route"
    },
    "id": 1
  }'

Example 2 ​

BASH
bash
curl -s https://api.steemit.com \
  -H 'Content-Type: application/json' \
  --data-binary '{
    "jsonrpc": "2.0",
    "method": "database_api.list_withdraw_vesting_routes",
    "params": {
      "start": [
        "",
        0
      ],
      "limit": 10,
      "order": "by_destination"
    },
    "id": 1
  }'

Response ​

RESPONSE
json
{
  "routes": [
    {
      "id": 39503,
      "from_account": "temperature",
      "to_account": "luckdiver",
      "percent": 10000,
      "auto_vest": false
    }
  ]
}